fprintf('--------------- %s\n',mfilename())
fprintf('2D meshing with gmsh.buildpartrectangle function using ''MshFileVersion''=''4.1''\n')
fprintf('---------------\n')
fprintf('1. Using gmsh.buildpartrectangle function :\n')
meshfile=fc_oogmsh.gmsh.buildpartrectangle(2,1,3,2,10,'verbose',4,'force',true,'MshFileVersion','4.1');
fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
fprintf('2. Reading mesh file\n')
Gh=fc_oogmsh.ooGmsh4(meshfile)

if fc_oogmsh.isgraphics()
  Gh.plotPhysicalElements()
  Gh.plotElementaryElements()
end
